package _04_方法练习;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 需求：设计一个方法用于获取数组中元素的最大值
         *定义 一个方法传入一个数组 , 返回数组当中最大值并且打印
         *
         * 定义出来四个季度营业额
         * {1000,2000,4000}   4000
         * {2000,2500,3000}   3000
         * {3000,4000,5000}   5000
         * {4000,5000,8000}   8000
         *
         * 要求求出来每一个季度最大营业额
         * 然后定义一个方法,传入四个季度营业额, 返回四个解读最大营业额 8000
         */
        int[] arr = {1000,2000,4000};
        int monthMax =  getMax(arr); // 第一季度
        int[] arr1 = {2000,2500,3000};
        int month1Max =  getMax(arr1); // 第一季度
        int[] arr2 = {3000,4000,5000};
        int month2Max =  getMax(arr2); // 第一季度
        int[] arr3 = {4000,5000,8000};
        int month3Max =  getMax(arr3); // 第一季度

        int max = getMonthMoney(monthMax,month1Max,month2Max,month3Max);
        System.out.println("最大营业额为:"+ max);
    }

    public static int getMonthMoney(int monthMax, int month1Max, int month2Max, int month3Max) {
        int temp = monthMax > month1Max ? monthMax : month1Max;
        int temp1 = temp > month2Max? temp : month2Max;
        int max  = temp1 > month3Max ? temp1 : month3Max;
        return max;
//        return getMax(arr);
    }

    public static int getMax(int[] arr) {
        // 假设第一个是最大值
        int max = arr[0];
        // 遍历如果有元素比max 大就进行值的替换
        for (int i = 1; i < arr.length; i++) {
            if(arr[i]> max){
                max = arr[i];
            }
        }
        return max;
    }
}
